Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Class PortletException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.portlet.PortletException

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  PortletModeException, PortletSecurityException, ReadOnlyException, UnavailableException, ValidatorException, WindowStateException

    public class PortletException

extends Exception

The `PortletException` class defines a general exception that a portlet can throw when it is unable to perform its operation successfully.

See Also
  Serialized Form

Constructor Summary
`PortletException()` Constructs a new portlet exception.
`PortletException(String text)` Constructs a new portlet exception with the given text.
`PortletException(String text, Throwable cause)` Constructs a new portlet exception when the portlet needs to do the following: throw an exception include the "root cause" exception include a description message
`PortletException(Throwable cause)` Constructs a new portlet exception when the portlet needs to throw an exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletException

    public PortletException()

  Constructs a new portlet exception.

### PortletException

    public PortletException(String text)

  Constructs a new portlet exception with the given text. The portlet container may use the text write it to a log.

  Parameters
    `text` - the exception text

### PortletException

    public PortletException(String text,
                            Throwable cause)

  Constructs a new portlet exception when the portlet needs to do the following:
  - throw an exception
  - include the "root cause" exception
  - include a description message

  Parameters
    `text` - the exception text
    `cause` - the root cause

### PortletException

    public PortletException(Throwable cause)

  Constructs a new portlet exception when the portlet needs to throw an exception. The exception's message is based on the localized message of the underlying exception.

  Parameters
    `cause` - the root cause

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.